# Generated from gnome_app_driver-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gnome_app_driver

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Test Ruby-GNOME2 applications using Atspi
License: LGPL-2.1+
URL: http://www.github.com/mvz/ruby-gnome2_app_driver
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(gtk3) >= 3.2
# BuildRequires: rubygem(gtk3) < 4
# BuildRequires: rubygem(minitest) >= 5.12
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(pry) >= 0.13.1
# BuildRequires: rubygem(pry) < 0.14
# BuildRequires: rubygem(rubocop) >= 1.3.0
# BuildRequires: rubygem(rubocop) < 1.4
# BuildRequires: rubygem(rubocop-minitest) >= 0.10.1
# BuildRequires: rubygem(rubocop-minitest) < 0.11
# BuildRequires: rubygem(rubocop-packaging) >= 0.5.0
# BuildRequires: rubygem(rubocop-packaging) < 0.6
# BuildRequires: rubygem(rubocop-performance) >= 1.8.0
# BuildRequires: rubygem(rubocop-performance) < 1.9
BuildArch: noarch

%description
Driver to test the UI of applications using Ruby-GNOME2 by interacting with
them via Atspi.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Changelog.md
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.3.0-1
- Initial package
